Remove former Functest shell scripts 43/70643/5
authorCédric Ollivier <cedric.ollivier@orange.com>
Mon, 3 Aug 2020 09:09:45 +0000 (11:09 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Mon, 3 Aug 2020 09:35:48 +0000 (11:35 +0200)
They are obsolete because the verification jobs are generated via
XtestingCI (see Functest, Airship, CNTT, etc.). It's safe as Fuel,
the latest old OPNFV installer, dropped its gating due to lack of
hardware resources.

Change-Id: I9b986ec4622001ae3540f542fe0cf72fa51ea009
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
jjb/functest/functest-alpine.sh [deleted file]
jjb/functest/functest-cleanup.sh [deleted file]
jjb/functest/functest-daily-jobs.yaml [deleted file]
jjb/functest/functest-env-presetup.sh [deleted file]
jjb/functest/functest-exit.sh [deleted file]
jjb/functest/functest-k8.sh [deleted file]
jjb/functest/functest-suite.sh [deleted file]

diff --git a/jjb/functest/functest-alpine.sh b/jjb/functest/functest-alpine.sh
deleted file mode 100755 (executable)
index 14143d2..0000000
+++ /dev/null
@@ -1,270 +0,0 @@
-#!/bin/bash
-
-set -e
-set +u
-set +o pipefail
-
-REPO=${REPO:-opnfv}
-CI_LOOP=${CI_LOOP:-daily}
-TEST_DB_URL=http://testresults.opnfv.org/test/api/v1/results
-ENERGY_RECORDER_API_URL=http://energy.opnfv.fr/resources
-DOCKER_TAG=${DOCKER_TAG:-$([[ ${BRANCH##*/} == "master" ]] && echo "latest" || echo ${BRANCH##*/})}
-
-run_tiers() {
-    tiers=$1
-    cmd_opt="run_tests -r -t all"
-    [[ $BUILD_TAG =~ "suite" ]] && cmd_opt="run_tests -t all"
-    for tier in ${tiers[@]}; do
-        FUNCTEST_IMAGE=${REPO}/functest-${tier}:${DOCKER_TAG}
-        echo "Functest: Pulling Functest Docker image ${FUNCTEST_IMAGE} ..."
-        docker pull ${FUNCTEST_IMAGE}>/dev/null
-        cmd="docker run --rm  ${envs} ${volumes} ${TESTCASE_OPTIONS} ${FUNCTEST_IMAGE} /bin/bash -c '${cmd_opt}'"
-        echo "Running Functest tier '${tier}'. CMD: ${cmd}"
-        eval ${cmd}
-        ret_value=$?
-        if [ ${ret_value} != 0 ]; then
-            echo ${ret_value} > ${ret_val_file}
-            if [ ${tier} == 'healthcheck' ]; then
-                echo "Healthcheck tier failed. Exiting Functest..."
-                skip_tests=1
-                break
-            fi
-        fi
-    done
-}
-
-run_test() {
-    test_name=$1
-    cmd_opt="run_tests -t ${test_name}"
-    # Determine which Functest image should be used for the test case
-    case ${test_name} in
-        connection_check|tenantnetwork1|tenantnetwork2|vmready1|vmready2|singlevm1|singlevm2|vping_ssh|vping_userdata|cinder_test|odl|api_check|snaps_health_check|tempest_smoke)
-            FUNCTEST_IMAGE=${REPO}/functest-healthcheck:${DOCKER_TAG} ;;
-        neutron-tempest-plugin-api|rally_sanity|refstack_defcore|tempest_full|tempest_scenario|patrole|snaps_smoke|neutron_trunk|networking-bgpvpn|networking-sfc|barbican)
-            FUNCTEST_IMAGE=${REPO}/functest-smoke:${DOCKER_TAG} ;;
-        rally_full|rally_jobs|shaker|vmtp)
-            FUNCTEST_IMAGE=${REPO}/functest-benchmarking:${DOCKER_TAG} ;;
-        cloudify|cloudify_ims|heat_ims|vyos_vrouter|juju_epc)
-            FUNCTEST_IMAGE=${REPO}/functest-vnf:${DOCKER_TAG} ;;
-        *)
-            echo "Unkown test case $test_name"
-            exit 1
-            ;;
-    esac
-    echo "Functest: Pulling Functest Docker image ${FUNCTEST_IMAGE} ..."
-    docker pull ${FUNCTEST_IMAGE}>/dev/null
-    cmd="docker run --rm ${envs} ${volumes} ${TESTCASE_OPTIONS} ${FUNCTEST_IMAGE} /bin/bash -c '${cmd_opt}'"
-    echo "Running Functest test case '${test_name}'. CMD: ${cmd}"
-    eval ${cmd}
-    ret_value=$?
-    if [ ${ret_value} != 0 ]; then
-      echo ${ret_value} > ${ret_val_file}
-    fi
-}
-
-
-redirect="/dev/stdout"
-FUNCTEST_DIR=/home/opnfv/functest
-DEPLOY_TYPE=baremetal
-[[ $BUILD_TAG =~ "virtual" ]] && DEPLOY_TYPE=virt
-HOST_ARCH=$(uname -m)
-
-# Prepare OpenStack credentials volume
-rc_file=${HOME}/opnfv-openrc.sh
-
-if [[ ${INSTALLER_TYPE} == 'joid' ]]; then
-    rc_file=$LAB_CONFIG/admin-openrc
-elif [[ ${INSTALLER_TYPE} == 'fuel' ]] && [[ "${DEPLOY_SCENARIO}" =~ -ha$ ]]; then
-    cacert_file_vol="-v ${HOME}/os_cacert:/etc/ssl/certs/mcp_os_cacert"
-fi
-
-rc_file_vol="-v ${rc_file}:${FUNCTEST_DIR}/conf/env_file"
-
-echo "Functest: Start Docker and prepare environment"
-
-echo "Functest: Download images that will be used by test cases"
-images_dir="${HOME}/opnfv/functest/images"
-download_script=${WORKSPACE}/functest/ci/download_images.sh
-chmod +x ${download_script}
-${download_script} ${images_dir} ${DEPLOY_SCENARIO} ${HOST_ARCH} 2> ${redirect}
-
-images_vol="-v ${images_dir}:${FUNCTEST_DIR}/images"
-
-dir_result="${HOME}/opnfv/functest/results/${BRANCH##*/}"
-mkdir -p ${dir_result}
-sudo rm -rf ${dir_result}/*
-results_vol="-v ${dir_result}:${FUNCTEST_DIR}/results"
-custom_params=
-test -f ${HOME}/opnfv/functest/custom/params_${DOCKER_TAG} && custom_params=$(cat ${HOME}/opnfv/functest/custom/params_${DOCKER_TAG})
-
-envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} -e INSTALLER_IP=${INSTALLER_IP} \
-    -e NODE_NAME=${NODE_NAME} -e DEPLOY_SCENARIO=${DEPLOY_SCENARIO} \
-    -e BUILD_TAG=${BUILD_TAG} -e DEPLOY_TYPE=${DEPLOY_TYPE} -e CI_LOOP=${CI_LOOP} \
-    -e TEST_DB_URL=${TEST_DB_URL} -e ENERGY_RECORDER_API_URL=${ENERGY_RECORDER_API_URL} \
-    -e DEBUG=true"
-
-ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
-
-if [ "${INSTALLER_TYPE}" == 'fuel' ]; then
-    COMPUTE_ARCH=$(ssh -l ubuntu ${INSTALLER_IP} -i ${SSH_KEY} ${ssh_options} \
-        "sudo salt 'cmp*' grains.get cpuarch --out yaml | awk '{print \$2; exit}'")
-    IMAGE_PROPERTIES="hw_disk_bus:scsi,hw_scsi_model:virtio-scsi"
-    envs="${envs} -e POD_ARCH=${COMPUTE_ARCH} -e BLOCK_MIGRATION=false"
-fi
-
-if [[ ${INSTALLER_TYPE} == 'fuel' && ${DEPLOY_SCENARIO} == 'os-nosdn-nofeature-noha' ]]; then
-    libvirt_vol="-v ${ssh_key}:${FUNCTEST_DIR}/conf/libvirt_key"
-    envs="${envs} -e LIBVIRT_USER=ubuntu -e LIBVIRT_KEY_PATH=${FUNCTEST_DIR}/conf/libvirt_key"
-fi
-
-if [[ ${DEPLOY_SCENARIO} == *"ovs"* ]] || [[ ${DEPLOY_SCENARIO} == *"fdio"* ]]; then
-    if [[ -n ${IMAGE_PROPERTIES} ]]; then
-        IMAGE_PROPERTIES="${IMAGE_PROPERTIES},hw_mem_page_size:large"
-    else
-        IMAGE_PROPERTIES="hw_mem_page_size:large"
-    fi
-    FLAVOR_EXTRA_SPECS="hw:mem_page_size:large"
-fi
-
-if [[ -n ${IMAGE_PROPERTIES} ]] || [[ -n ${FLAVOR_EXTRA_SPECS} ]]; then
-    envs="${envs} -e IMAGE_PROPERTIES=${IMAGE_PROPERTIES} -e FLAVOR_EXTRA_SPECS=${FLAVOR_EXTRA_SPECS}"
-fi
-
-tempest_conf_yaml=$(mktemp)
-case ${INSTALLER_TYPE} in
-apex)
-    cat << EOF > "${tempest_conf_yaml}"
----
-compute-feature-enabled:
-    shelve: false
-    vnc_console: true
-    block_migration_for_live_migration: false
-identity-feature-enabled:
-    api_v2: false
-    api_v2_admin: false
-image-feature-enabled:
-    api_v2: true
-    api_v1: false
-object-storage:
-    operator_role: SwiftOperator
-volume:
-    storage_protocol: ceph
-volume-feature-enabled:
-    backup: false
-EOF
-    ;;
-fuel)
-    cat << EOF > "${tempest_conf_yaml}"
----
-compute-feature-enabled:
-    shelve: false
-    vnc_console: false
-    spice_console: true
-identity-feature-enabled:
-    api_v2: false
-    api_v2_admin: false
-image-feature-enabled:
-    api_v2: true
-    api_v1: false
-volume:
-    storage_protocol: iSCSI
-volume-feature-enabled:
-    backup: false
-EOF
-    ;;
-*)
-    cat << EOF > "${tempest_conf_yaml}"
----
-compute-feature-enabled:
-    shelve: false
-    vnc_console: false
-identity-feature-enabled:
-    api_v2: false
-    api_v2_admin: false
-image-feature-enabled:
-    api_v2: true
-    api_v1: false
-volume:
-    storage_protocol: iSCSI
-volume-feature-enabled:
-    backup: false
-EOF
-    ;;
-esac
-case ${BRANCH} in
-master)
-    cat << EOF >> "${tempest_conf_yaml}"
-compute:
-    max_microversion: latest
-EOF
-    ;;
-stable/hunter)
-    cat << EOF >> "${tempest_conf_yaml}"
-compute:
-    max_microversion: 2.65
-EOF
-    ;;
-esac
-echo "tempest_conf.yaml:" && cat "${tempest_conf_yaml}"
-
-volumes="${images_vol} ${results_vol} ${sshkey_vol} ${libvirt_vol} \
-    ${userconfig_vol} ${rc_file_vol} ${cacert_file_vol} \
-    -v ${tempest_conf_yaml}:/usr/lib/python2.7/site-packages/functest/opnfv_tests/openstack/tempest/custom_tests/tempest_conf.yaml"
-
-if [[ ${INSTALLER_TYPE} == 'apex' ]]; then
-    blacklist_yaml=$(mktemp)
-    cat << EOF >> "${blacklist_yaml}"
----
--
-    scenarios:
-        - os-ovn-nofeature-ha
-    tests:
-        - neutron_tempest_plugin.api.admin.test_agent_management
-        - neutron_tempest_plugin.api.admin.test_dhcp_agent_scheduler
-        - patrole_tempest_plugin.tests.api.network.test_agents_rbac
-        - patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest.test_create_network_provider_network_type
-        - patrole_tempest_plugin.tests.api.network.test_networks_rbac.NetworksRbacTest.test_create_network_provider_segmentation_id
-        - tempest.api.network.admin.test_agent_management
-        - tempest.api.network.admin.test_dhcp_agent_scheduler
-        - tempest.api.object_storage.test_crossdomain.CrossdomainTest.test_get_crossdomain_policy
--
-    scenarios:
-        - os-nosdn-nofeature-ha
-    tests:
-        - tempest.api.object_storage.test_crossdomain.CrossdomainTest.test_get_crossdomain_policy
--
-    scenarios:
-        - os-nosdn-nofeature-noha
-    tests:
-        - tempest.api.object_storage.test_crossdomain.CrossdomainTest.test_get_crossdomain_policy
-EOF
-    volumes="${volumes} -v ${blacklist_yaml}:/usr/lib/python2.7/site-packages/functest/opnfv_tests/openstack/tempest/custom_tests/blacklist.yaml"
-fi
-
-ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
-echo 0 > ${ret_val_file}
-
-set +e
-
-if [ ${FUNCTEST_MODE} == 'testcase' ]; then
-    echo "FUNCTEST_MODE=testcase, FUNCTEST_SUITE_NAME=${FUNCTEST_SUITE_NAME}"
-    run_test ${FUNCTEST_SUITE_NAME}
-elif [ ${FUNCTEST_MODE} == 'tier' ]; then
-    echo "FUNCTEST_MODE=tier, FUNCTEST_TIER=${FUNCTEST_TIER}"
-    tiers=(${FUNCTEST_TIER})
-    run_tiers ${tiers}
-else
-    tests=()
-    skip_tests=0
-    if [ "${HOST_ARCH}" != "aarch64" ]; then
-        tiers=(healthcheck smoke benchmarking vnf)
-    else
-        tiers=(healthcheck smoke benchmarking)
-    fi
-    run_tiers ${tiers}
-    if [ ${skip_tests} -eq 0 ]; then
-        for test in "${tests[@]}"; do
-            run_test "$test"
-        done
-    fi
-fi
diff --git a/jjb/functest/functest-cleanup.sh b/jjb/functest/functest-cleanup.sh
deleted file mode 100755 (executable)
index c21b543..0000000
+++ /dev/null
@@ -1,40 +0,0 @@
-#!/bin/bash
-
-[[ $CI_DEBUG == true ]] && redirect="/dev/stdout" || redirect="/dev/null"
-
-echo "Cleaning up docker containers/images..."
-FUNCTEST_IMAGE=opnfv/functest
-
-# Remove containers along with image opnfv/functest*:<none>
-dangling_images=($(docker images -f "dangling=true" | grep $FUNCTEST_IMAGE | awk '{print $3}'))
-if [[ -n ${dangling_images} ]]; then
-    echo "  Removing $FUNCTEST_IMAGE:<none> images and their containers..."
-    for image_id in "${dangling_images[@]}"; do
-        echo "      Removing image_id: $image_id and its containers"
-        containers=$(docker ps -a | grep $image_id | awk '{print $1}')
-        if [[ -n "$containers" ]];then
-            docker rm -f $containers >${redirect}
-        fi
-        docker rmi $image_id >${redirect}
-    done
-fi
-
-# Remove previous running containers if exist
-functest_containers=$(docker ps -a | grep $FUNCTEST_IMAGE | awk '{print $1}')
-if [[ -n ${functest_containers} ]]; then
-    echo "  Removing existing $FUNCTEST_IMAGE containers..."
-    docker rm -f $functest_containers >${redirect}
-fi
-
-# Remove existing images if exist
-if [[ $CLEAN_DOCKER_IMAGES == true ]]; then
-    functest_image_tags=($(docker images | grep $FUNCTEST_IMAGE | awk '{print $2}'))
-    if [[ -n ${functest_image_tags} ]]; then
-        echo "  Docker images to be removed:" >${redirect}
-        (docker images | head -1 && docker images | grep $FUNCTEST_IMAGE) >${redirect}
-        for tag in "${functest_image_tags[@]}"; do
-            echo "      Removing docker image $FUNCTEST_IMAGE:$tag..."
-            docker rmi $FUNCTEST_IMAGE:$tag >${redirect}
-        done
-    fi
-fi
diff --git a/jjb/functest/functest-daily-jobs.yaml b/jjb/functest/functest-daily-jobs.yaml
deleted file mode 100644 (file)
index 018abed..0000000
+++ /dev/null
@@ -1,304 +0,0 @@
----
-###################################
-# job configuration for functest
-###################################
-- project:
-    name: functest-daily
-
-    project: functest
-
-    # -------------------------------
-    # BRANCH ANCHORS
-    # -------------------------------
-    master: &master
-      stream: master
-      branch: '{stream}'
-      gs-pathname: ''
-    iruya: &iruya
-      stream: iruya
-      branch: 'stable/{stream}'
-      gs-pathname: '/{stream}'
-    hunter: &hunter
-      stream: hunter
-      branch: 'stable/{stream}'
-      gs-pathname: '/{stream}'
-    # -------------------------------
-    # POD, INSTALLER, AND BRANCH MAPPING
-    # -------------------------------
-    #    Installers using labels
-    #            CI PODs
-    # This section should only contain the installers
-    # that have been switched using labels for slaves
-    # -------------------------------
-    pod:
-      # fuel CI PODs
-      - baremetal:
-          slave-label: fuel-baremetal
-          installer: fuel
-          <<: *master
-      - virtual:
-          slave-label: fuel-virtual
-          installer: fuel
-          <<: *master
-      - baremetal:
-          slave-label: fuel-baremetal
-          installer: fuel
-          <<: *iruya
-      - virtual:
-          slave-label: fuel-virtual
-          installer: fuel
-          <<: *iruya
-      # apex CI PODs
-      - virtual:
-          slave-label: apex-virtual-master
-          installer: apex
-          <<: *master
-      - baremetal:
-          slave-label: apex-baremetal-master
-          installer: apex
-          <<: *master
-      - virtual:
-          slave-label: apex-virtual-master
-          installer: apex
-          <<: *iruya
-      - baremetal:
-          slave-label: apex-baremetal-master
-          installer: apex
-          <<: *iruya
-      # armband CI PODs
-      - armband-baremetal:
-          slave-label: armband-baremetal
-          installer: fuel
-          <<: *master
-      - armband-baremetal:
-          slave-label: armband-baremetal
-          installer: fuel
-          <<: *iruya
-      # fuel NONE CI PODs
-      - zte-pod1:
-          slave-label: zte-pod1
-          installer: fuel
-          <<: *master
-      - itri-pod1:
-          slave-label: itri-pod1
-          installer: fuel
-          <<: *master
-
-    testsuite:
-      - 'suite':
-          job-timeout: 60
-      - 'daily':
-          job-timeout: 600
-
-    jobs:
-      - 'functest-{installer}-{pod}-{testsuite}-{stream}'
-
-################################
-# job template
-################################
-- job-template:
-    name: 'functest-{installer}-{pod}-{testsuite}-{stream}'
-
-    concurrent: true
-
-    properties:
-      - logrotate-default
-      - throttle:
-          enabled: true
-          max-per-node: 1
-          max-total: 10
-          option: 'project'
-
-    wrappers:
-      - build-name:
-          name: '$BUILD_NUMBER Suite: $FUNCTEST_MODE Scenario: $DEPLOY_SCENARIO'
-      - timeout:
-          timeout: '{job-timeout}'
-          abort: true
-
-    parameters:
-      - project-parameter:
-          project: '{project}'
-          branch: '{branch}'
-      - '{installer}-defaults'
-      - '{slave-label}-defaults'
-      - 'functest-{testsuite}-parameter'
-      - string:
-          name: DEPLOY_SCENARIO
-          default: 'os-nosdn-nofeature-noha'
-      - string:
-          name: DOCKER_TAG
-          default: ''
-      - string:
-          name: CLEAN_DOCKER_IMAGES
-          default: 'false'
-          description: 'Remove downloaded docker images (opnfv/functest*:*)'
-      - functest-parameter:
-          gs-pathname: '{gs-pathname}'
-
-    scm:
-      - git-scm
-
-    builders:
-      - description-setter:
-          description: "Built on $NODE_NAME"
-      - 'functest-{testsuite}-builder'
-
-
-########################
-# parameter macros
-########################
-- parameter:
-    name: functest-daily-parameter
-    parameters:
-      - string:
-          name: FUNCTEST_MODE
-          default: 'daily'
-          description: "Daily suite name to run"
-
-- parameter:
-    name: functest-suite-parameter
-    parameters:
-      - choice:
-          name: FUNCTEST_MODE
-          choices:
-            - 'tier'
-            - 'testcase'
-          default: 'tier'
-          description: "Test case or Tier to be run"
-      - choice:
-          name: FUNCTEST_SUITE_NAME
-          choices:
-            - 'connection_check'
-            - 'api_check'
-            - 'snaps_health_check'
-            - 'vping_ssh'
-            - 'vping_userdata'
-            - 'cinder_test'
-            - 'tempest_smoke'
-            - 'rally_sanity'
-            - 'refstack_defcore'
-            - 'patrole'
-            - 'odl'
-            - 'snaps_smoke'
-            - 'shaker'
-            - 'vmtp'
-            - 'neutron_trunk'
-            - 'tempest_full'
-            - 'rally_full'
-            - 'cloudify_ims'
-            - 'vyos_vrouter'
-            - 'juju_epc'
-            - 'parser'
-          default: 'connection_check'
-      - choice:
-          name: FUNCTEST_TIER
-          choices:
-            - 'healthcheck'
-            - 'smoke'
-            - 'benchmarking'
-            - 'components'
-            - 'vnf'
-            - 'parser'
-          default: 'healthcheck'
-      - string:
-          name: TESTCASE_OPTIONS
-          default: ''
-          description: 'Additional parameters specific to test case(s)'
-
-- parameter:
-    name: functest-parameter
-    parameters:
-      - string:
-          name: GS_PATHNAME
-          default: '{gs-pathname}'
-          description: "Version directory where the opnfv documents will be stored in gs repository"
-      - string:
-          name: FUNCTEST_REPO_DIR
-          default: "/home/opnfv/repos/functest"
-          description: "Directory where the Functest repository is cloned"
-      - string:
-          name: PUSH_RESULTS_TO_DB
-          default: "true"
-          description: "Push the results of all the tests to the resultDB"
-      - string:
-          name: CI_DEBUG
-          default: 'false'
-          description: "Show debug output information"
-      - string:
-          name: RC_FILE_PATH
-          default: ''
-          description: "Path to the OS credentials file if given"
-      - string:
-          name: REPO
-          default: "opnfv"
-          description: "Repository name for functest images"
-########################
-# trigger macros
-########################
-- trigger:
-    name: 'functest-master'
-    triggers:
-      - pollscm:
-          cron: "H 9 * * *"
-########################
-# builder macros
-########################
-- builder:
-    name: functest-daily-builder
-    builders:
-      - 'functest-cleanup'
-      - 'functest-daily'
-      - 'functest-store-results'
-      - 'functest-exit'
-
-- builder:
-    name: functest-suite-builder
-    builders:
-      - 'functest-cleanup'
-      - 'functest-daily'
-      - 'functest-store-results'
-      - 'functest-exit'
-
-- builder:
-    name: functest-daily
-    builders:
-      # yamllint disable rule:indentation
-      - conditional-step:
-          condition-kind: regex-match
-          regex: "os-.*"
-          label: '$DEPLOY_SCENARIO'
-          steps:
-            - shell:
-                !include-raw:
-                    - ./functest-env-presetup.sh
-                    - ../../utils/fetch_os_creds.sh
-                    - ./functest-alpine.sh
-      - conditional-step:
-          condition-kind: regex-match
-          regex: "k8-.*"
-          label: '$DEPLOY_SCENARIO'
-          steps:
-            - shell:
-                !include-raw:
-                    - ../../utils/fetch_k8_conf.sh
-                    - ./functest-k8.sh
-
-# yamllint enable rule:indentation
-- builder:
-    name: functest-store-results
-    builders:
-      - shell:
-          !include-raw: ../../utils/push-test-logs.sh
-
-- builder:
-    name: functest-cleanup
-    builders:
-      - shell:
-          !include-raw: ./functest-cleanup.sh
-
-- builder:
-    name: functest-exit
-    builders:
-      - shell:
-          !include-raw: ./functest-exit.sh
diff --git a/jjb/functest/functest-env-presetup.sh b/jjb/functest/functest-env-presetup.sh
deleted file mode 100755 (executable)
index 510670b..0000000
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/usr/bin/env bash
-set -o errexit
-set -o pipefail
-
-# Fetch INSTALLER_IP for APEX deployments
-if [[ ${INSTALLER_TYPE} == 'apex' ]]; then
-    if [ -n "$RC_FILE_PATH" ]; then
-        echo "RC_FILE_PATH is set: ${RC_FILE_PATH}...skipping detecting UC IP"
-    else
-        echo "Gathering IP information for Apex installer VM"
-        ssh_options="-o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no"
-        if sudo virsh list | grep undercloud; then
-            echo "Installer VM detected"
-            undercloud_mac=$(sudo virsh domiflist undercloud | grep default | \
-                      grep -Eo "[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+")
-            export INSTALLER_IP=$(/usr/sbin/arp -e | grep ${undercloud_mac} | awk {'print $1'})
-            export sshkey_vol="-v /root/.ssh/id_rsa:/root/.ssh/id_rsa"
-            sudo scp $ssh_options root@${INSTALLER_IP}:/home/stack/stackrc ${HOME}/stackrc
-            export stackrc_vol="-v ${HOME}/stackrc:/home/opnfv/functest/conf/stackrc"
-
-            if sudo iptables -C FORWARD -o virbr0 -j REJECT --reject-with icmp-port-unreachable 2> ${redirect}; then
-                sudo iptables -D FORWARD -o virbr0 -j REJECT --reject-with icmp-port-unreachable
-            fi
-            if sudo iptables -C FORWARD -i virbr0 -j REJECT --reject-with icmp-port-unreachable 2> ${redirect}; then
-                sudo iptables -D FORWARD -i virbr0 -j REJECT --reject-with icmp-port-unreachable
-            fi
-            echo "Installer ip is ${INSTALLER_IP}"
-        else
-            echo "No available installer VM exists and no credentials provided...exiting"
-            exit 1
-        fi
-    fi
-
-elif [[ ${INSTALLER_TYPE} == 'daisy' ]]; then
-    echo "Gathering IP information for Daisy installer VM"
-    if sudo virsh list | grep daisy; then
-        echo "Installer VM detected"
-
-        bridge_name=$(sudo virsh domiflist daisy | grep vnet | awk '{print $3}')
-        echo "Bridge is $bridge_name"
-
-        installer_mac=$(sudo virsh domiflist daisy | grep vnet | \
-                      grep -Eo "[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+:[0-9a-f]+")
-        export INSTALLER_IP=$(/usr/sbin/arp -e -i $bridge_name | grep ${installer_mac} | head -n 1 | awk {'print $1'})
-
-        echo "Installer ip is ${INSTALLER_IP}"
-    else
-        echo "No available installer VM exists...exiting"
-        exit 1
-    fi
-
-elif [[ ${INSTALLER_TYPE} == 'fuel' ]]; then
-    if [[ ! "${BRANCH}" =~ "danube" ]]; then
-        echo "Map mcp ssh_key"
-        export sshkey_vol="-v ${SSH_KEY:-/var/lib/opnfv/mcp.rsa}:/root/.ssh/id_rsa"
-    fi
-fi
-
diff --git a/jjb/functest/functest-exit.sh b/jjb/functest/functest-exit.sh
deleted file mode 100644 (file)
index 925a3cf..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/bash
-
-ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
-if [ ! -f ${ret_val_file} ]; then
-    echo "Return value not found!"
-    exit -1
-fi
-
-ret_val=`cat ${ret_val_file}`
-
-exit ${ret_val}
diff --git a/jjb/functest/functest-k8.sh b/jjb/functest/functest-k8.sh
deleted file mode 100755 (executable)
index fb0e955..0000000
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/bash
-
-set -e
-set +u
-set +o pipefail
-
-redirect="/dev/stdout"
-FUNCTEST_DIR=/home/opnfv/functest
-
-admin_conf_file_vol="-v ${HOME}/admin.conf:/root/.kube/config"
-cat ${HOME}/admin.conf
-
-dir_result="${HOME}/opnfv/functest/results/${BRANCH##*/}"
-mkdir -p ${dir_result}
-sudo rm -rf ${dir_result}/*
-results_vol="-v ${dir_result}:${FUNCTEST_DIR}/results"
-
-volumes="${results_vol} ${admin_conf_file_vol}"
-
-envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} \
-    -e NODE_NAME=${NODE_NAME} -e DEPLOY_SCENARIO=${DEPLOY_SCENARIO} \
-    -e BUILD_TAG=${BUILD_TAG}"
-
-DOCKER_TAG=${DOCKER_TAG:-$([[ ${BRANCH##*/} == "master" ]] && echo "latest" || echo ${BRANCH##*/})}
-
-set +e
-
-ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
-echo 0 > ${ret_val_file}
-
-FUNCTEST_IMAGES="\
-opnfv/functest-kubernetes-healthcheck:${DOCKER_TAG} \
-opnfv/functest-kubernetes-smoke:${DOCKER_TAG}"
-cmd_opt="run_tests -r -t all"
-
-for image in ${FUNCTEST_IMAGES}; do
-    echo "Pulling Docker image ${image} ..."
-    docker pull "${image}" >/dev/null
-    cmd="docker run --rm ${envs} ${volumes} ${image} /bin/bash -c '${cmd_opt}'"
-    echo "Running Functest k8s test cases, CMD: ${cmd}"
-    eval ${cmd}
-    ret_value=$?
-    if [ ${ret_value} != 0 ]; then
-        echo ${ret_value} > ${ret_val_file}
-    fi
-done
diff --git a/jjb/functest/functest-suite.sh b/jjb/functest/functest-suite.sh
deleted file mode 100755 (executable)
index 469a577..0000000
+++ /dev/null
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-container_id=$(docker ps -a | grep opnfv/functest | awk '{print $1}' | head -1)
-if [ -z $container_id ]; then
-    echo "Functest container not found"
-    exit 1
-fi
-
-global_ret_val=0
-
-tests=($(echo $FUNCTEST_SUITE_NAME | tr "," "\n"))
-for test in ${tests[@]}; do
-    cmd="run_tests -t $test"
-    docker exec $container_id $cmd
-    let global_ret_val+=$?
-done
-
-ret_val_file="${HOME}/opnfv/functest/results/${BRANCH##*/}/return_value"
-echo ${global_ret_val}>${ret_val_file}
-
-exit 0